config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  root "pages#home"
  get "apartmani", to: "pages#apartments", as: "apartments"
  get "lokacija", to: "pages#location", as: "location"
  get "kontakti", to: "pages#contacts", as: "contacts"
  resources :reservations, only: [:index, :new, :create], path: "rezervacije"
  get "potvrdi/:id", to: "reservations#approve", as: "approve_reservation" 
  post "kontakt", to: "contacts#send_mail", as: "contact"
  namespace :admin do
    root "base#index"
    delete "reservations/:id", to: "reservations#destroy", as: "reservation"
    get "potvrdi/:id", to: "reservations#approve", as: "approve_reservation" 
  end
end

app/controllers/admin/base_controller.rb
class Admin::BaseController < ApplicationController
    before_action :authenticate_user!
    before_action :verify_admin
    before_action :check_for_admin

    def index
        @reservations = Reservation.all
    end

    protected

    def verify_admin
    end
end

app/helpers/admin/base_helper.rb
module Admin::BaseHelper
    def formatted_date(date)
        if date.is_a?(Date)
            return date.strftime("%d.%m.%Y")
        else
            begin
                return date.to_date.strftime("%d.%m.%Y")
            rescue => e
                return Time.at(0).to_date.strftime("%d.%m.%Y")
            end
        end
    end
end

app/views/admin/base/index.html.erb
<div class="home-main">
    <table class=>
        <tr>
            <th>Apartman</th>
            <th>Ime</th>
            <th>Prezime</th>
            <th>Datum zahtjeva</th>
            <th>Početni datum</th>
            <th>Krajnji datum</th>
            <th>Status</th>
            <th>Akcije</th>
        </tr>
        <% @reservations.each do |reservation|%>
            <tr>
                <td>
                    <%= reservation.apartment.name%>
                </td>
                <td>
                    <%= reservation.user.first_name%>
                </td>
                <td>
                    <%= reservation.user.last_name%>
                </td>
                <td>
                    <%= formatted_date(reservation.created_at)%>
                </td>
                <td>
                    <%= formatted_date(reservation.date_from)%>
                </td>
                <td>
                    <%= formatted_date(reservation.date_to)%>
                </td>
                <td>
                    <%= reservation.is_approved ? "Potvrđeno" : "Nije potvrđeno"%>
                </td>
                <td>
                    <%= link_to "Potvrdi", admin_approve_reservation_path(reservation.id)%>
                    <%= link_to "Odbij", admin_reservation_path(reservation.id), method: :delete%>
                </td>
            </tr>
        <% end%>
    </table>
</div>